makedeb
A simple, fast and user-friendly alternative to 'find'
Click here to go back to the commit logs for fd-bin.
Hash: c150f023cf3fb3d78966232581a39ef401a76b90
Message: feat: Update to 8.3.0
diff --git a/.SRCINFO b/.SRCINFO
index 32b1001..29ef227 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -2,11 +2,12 @@ generated-by = makedeb-makepkg
pkgbase = fd-bin
pkgdesc = A simple, fast and user-friendly alternative to 'find'
- pkgver = 8.2.1
+ pkgver = 8.3.0
pkgrel = 1
url = https://github.com/sharkdp/fd
arch = x86_64
license = MIT
+ license = apache
makedepends = curl
makedepends = jq
optdepends = bash-completion: for supporting auto completion
@@ -17,7 +18,7 @@ pkgbase = fd-bin
conflicts = fd-bin
options = !strip
options = zipman
- source_x86_64 = fd-bin-8.2.1.tar.gz::https://github.com/sharkdp/fd/releases/download/v8.2.1/fd-v8.2.1-x86_64-unknown-linux-musl.tar.gz
- sha512sums_x86_64 = 8e3ffd26a5c27c92c6161ee04de0e3deb067f7d00c23c56556b66707b39654953e73e06bf788895269c18a3b1115e292c8e7ddcd37fe15de8139af6689dca6dc
+ source_x86_64 = fd-bin-8.3.0.tar.gz::https://github.com/sharkdp/fd/releases/download/v8.3.0/fd-v8.3.0-x86_64-unknown-linux-musl.tar.gz
+ sha512sums_x86_64 = 0092c2620e192c376c879b98b06ec243184f88fcaf0f5efc82d4a02b6d6ce0e2c468cd122c136e195a5cd2f05024f9d4f9cf10a016367bf4e2d9e91d1e6f2a7a
pkgname = fd-bin
diff --git a/.gitignore b/.gitignore
index cc67b0b..5dfc70b 100644
--- a/.gitignore
+++ b/.gitignore
@@ -3,3 +3,4 @@
!PKGBUILD
!.SRCINFO
!*.install
+!Makefile
diff --git a/Makefile b/Makefile
new file mode 100644
index 0000000..7f02bca
--- /dev/null
+++ b/Makefile
@@ -0,0 +1,32 @@
+# vim: filetype=make syntax=make textwidth=0 softtabstop=0 tabstop=4 shiftwidth=4 fileencoding=utf-8 fileformat=unix smartindent autoindent noexpandtab
+# ────────────────────────────────────────────────────────────────────
+.PHONY: $(shell egrep -o '^[a-zA-Z_-]+:' $(MAKEFILE_LIST) | sed 's/://')
+.SILENT: $(shell egrep -o '^[a-zA-Z_-]+:' $(MAKEFILE_LIST) | sed 's/://')
+.PHONY: all
+all: help
+# ────────────────────────────────────────────────────────────────────
+help: ## Show this help
+ @printf "$$(fgrep -h "##" $(MAKEFILE_LIST) | fgrep -v 'fgrep' | sed -e 's/\\$$//' | sed -e 's/\s.*##//')\n"
+
+clean:
+ rm -rf src pkg *.deb *.tar.gz
+
+srcinfo: ## Generate srcinfo
+ makedeb --printsrcinfo > .SRCINFO
+
+makedeb: ## Build the package while syncing dependencies
+ makedeb -s
+
+install: ## Installs the package
+ makedeb --install
+commit-prep: clean srcinfo ## prepares the package for commiting. only valid when used in the Docker container
+ find /workspace-git -mindepth 1 -maxdepth 1 -not -path '**/\.git' -delete \
+ && find /workspace -mindepth 1 -maxdepth 1 -not -path '**/\.git' -exec cp -r {} /workspace-git/ \;
+
+
+commit: VERSION = $(shell grep pkgver .SRCINFO | cut -d '=' -f 2 | tr -d '[:space:]')
+commit: commit-prep ## Commits changes to git
+ git -C "/workspace-git" add PKGBUILD Makefile .SRCINFO .gitignore
+ git -C "/workspace-git" commit -m "feat: Update to ${VERSION}"
+
+build: srcinfo makedeb ## Main target for building a fresh package
diff --git a/PKGBUILD b/PKGBUILD
index 178c774..16f39ee 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,7 +6,7 @@ _pkgname="$(basename "${_github_repo}")"
pkgname="${_pkgname}-bin"
# shellcheck disable=SC2034
-pkgver="8.2.1"
+pkgver=8.3.0
# shellcheck disable=SC2034
pkgrel=1
# shellcheck disable=SC2034
@@ -21,7 +21,7 @@ conflicts=("${_pkgname}" "${_pkgname}-git" "${_pkgname}-bin")
# shellcheck disable=SC2034
url="https://github.com/${_github_repo}"
# shellcheck disable=SC2034
-license=("MIT")
+license=("MIT" "apache")
# shellcheck disable=SC2034
makedepends=("curl" "jq")
# shellcheck disable=SC2034
@@ -29,7 +29,7 @@ optdepends=("bash-completion: for supporting auto completion")
# shellcheck disable=SC2034
source_x86_64=("${pkgname}-${pkgver}.tar.gz::${url}/releases/download/v${pkgver}/${_pkgname}-v${pkgver}-${CARCH}-unknown-linux-musl.tar.gz")
# shellcheck disable=SC2034
-sha512sums_x86_64=("8e3ffd26a5c27c92c6161ee04de0e3deb067f7d00c23c56556b66707b39654953e73e06bf788895269c18a3b1115e292c8e7ddcd37fe15de8139af6689dca6dc")
+sha512sums_x86_64=("0092c2620e192c376c879b98b06ec243184f88fcaf0f5efc82d4a02b6d6ce0e2c468cd122c136e195a5cd2f05024f9d4f9cf10a016367bf4e2d9e91d1e6f2a7a")
# shellcheck disable=SC2034
options=(!strip zipman)
pkgver() {
@@ -41,19 +41,20 @@ pkgver() {
# [ NOTE ] => reaming extracted archive directory
# for naming consistency
prepare() {
+ rm -rf "${srcdir}/${pkgname}-${pkgver}/${_pkgname}-v${pkgver}-${CARCH}-unknown-linux-musl"
_dirname="$(tar -tf "${pkgname}-${pkgver}.tar.gz" | head -n 1 | cut -d/ -f1)"
if [ " ${srcdir}/${pkgname}-${pkgver} " != " ${_dirname} " ]; then
mv -f "${srcdir}/${_dirname}" "${srcdir}/${pkgname}-${pkgver}"
fi
}
check() {
- [ "$("${srcdir}/${pkgname}-${pkgver}/${_pkgname}" --version)" != "${_pkgname} ${pkgver}" ] && return 1 || return 0
+ [ "$("${srcdir}/${pkgname}-${pkgver}/${_pkgname}" --version)" != "${_pkgname} $(pkgver)" ] && return 1 || return 0
}
package() {
# ─── BINARY ─────────────────────────────────────────────────────────────────────
install -Dm755 "${srcdir}/${pkgname}-${pkgver}/${_pkgname}" "${pkgdir}/usr/bin/${_pkgname}"
# ─── COMPLETIONS ────────────────────────────────────────────────────────────────
- install -Dm644 "${srcdir}/${pkgname}-${pkgver}/autocomplete/${_pkgname}.bash-completion" "${pkgdir}/usr/share/bash-completion/completions/${_pkgname}"
+ install -Dm644 "${srcdir}/${pkgname}-${pkgver}/autocomplete/${_pkgname}.bash" "${pkgdir}/usr/share/bash-completion/completions/${_pkgname}"
install -Dm644 "${srcdir}/${pkgname}-${pkgver}/autocomplete/${_pkgname}.fish" "${pkgdir}/usr/share/fish/completions/${_pkgname}.fish"
install -Dm644 "${srcdir}/${pkgname}-${pkgver}/autocomplete/_${_pkgname}" "${pkgdir}/usr/share/zsh/vendor-completions/_${_pkgname}"
# ─── README AND MAN PAGES ───────────────────────────────────────────────────────